package com.gh.gamecenter.feature.provider

import android.view.View
import android.widget.LinearLayout
import android.widget.TextView
import com.gh.gamecenter.common.databinding.LayoutGameItemSellingPointBinding
import com.gh.gamecenter.feature.entity.GameEntity

interface IBindingAdaptersProvider {

    fun setGameName(view: TextView, game: GameEntity, isShowPlatform: Boolean)

    fun setGameTags(layout: LinearLayout, gameEntity: GameEntity)

    fun setMessageUnread(view: TextView, unreadCount: Int)

    fun setGame(view: View, gameEntity: GameEntity)

    fun setGameTagsWithSellingPoints(
        layout: LinearLayout,
        sellingPointsBinding: LayoutGameItemSellingPointBinding,
        gameEntity: GameEntity,
        subjectTag: String
    )

    fun setGameDescription(tvDesc: TextView, briefStyle: String, game: GameEntity)
}